/* Give headings their own font */

#content-flashcards h1, #content-flashcards h2, #content-flashcardsh3, #content-flashcards h4 {
  font-family: "Lucida Sans Unicode", "Lucida Grande", sans-serif;
}

/* Main content area */

#content-flashcards {
  margin: 80px auto;
  width: 100%;
  text-align: center;
  -moz-user-select: none;
  -webkit-user-select: none;
  margin: 30px 0;
  font-family: "Georgia", serif;
  line-height: 1.8em;
  color: #333;
  position: relative;
}

/* Header/footer boxes */

.wideBox {
  clear: both;
  text-align: center;
  margin: 70px;
  padding: 10px;
  background: #ebedf2;
  border: 1px solid #ccc;
  min-height: 60px;
}

.wideBox h1 {
  font-weight: bold;
  margin: 20px;
  color: #666;
  font-size: 1.5em;
}

/* Slots for final card positions */

#cardSlots {
  margin: 50px auto 0 auto;
  background: #ddf;
}

/* The initial pile of unsorted cards */

#cardPile {
  margin: 0 auto;
  background: #ffd;
}

#cardSlots, #cardPile {
  width: 95%;
  min-height: 150px;
  padding: 12px 15px 0px 16px;
  border: 2px solid #333;
  -moz-border-radius: 10px;
  -webkit-border-radius: 10px;
  border-radius: 10px;
  -moz-box-shadow: 0 0 .3em rgba(0, 0, 0, .8);
  -webkit-box-shadow: 0 0 .3em rgba(0, 0, 0, .8);
  box-shadow: 0 0 .3em rgba(0, 0, 0, .8);
}

/* Individual cards and slots */

#cardSlots div, #cardPile div {
  float: left;
  border: 2px solid #333;
  -moz-border-radius: 10px;
  -webkit-border-radius: 10px;
  border-radius: 10px;
  margin: 4px;
  background: #fff;
  width: 81px;
  height: 115px;
  overflow: hidden;
}

#cardSlots div:first-child, #cardPile div:first-child {
  margin-left: 0;
}

#cardSlots div.hovered {
  background: #aaa;
}

#cardSlots div {
  background: #eee;
  border-style: dashed;
  font-size: 14px;
  padding-top: 4px;
}

#cardPile div {
  background: #fff;
  color: #fff;
  //font-size: 50px;
  text-shadow: 0 0 3px #000;
  padding: 2px !important;
}

#cardPile div.ui-draggable-dragging {
  -moz-box-shadow: 0 0 .5em rgba(0, 0, 0, .8);
  -webkit-box-shadow: 0 0 .5em rgba(0, 0, 0, .8);
  box-shadow: 0 0 .5em rgba(0, 0, 0, .8);
}

#cardSlots div img, #cardPile div img {
    width: 100%;
    height: auto;
    max-height: 110px;
}

.cardname {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    text-align: center;
}

.card-img {
    position: absolute;
    z-index: 100;
    top: 0; left: 0;
    width: 100%;
    height: 140px;
}

/* Individually coloured cards */

#card1.correct { border-color: red; }
#card2.correct { border-color:  brown; }
#card3.correct { border-color:  orange; }
#card4.correct { border-color:  yellow; }
#card5.correct { border-color:  green; }
#card6.correct { border-color:  cyan; }
#card7.correct { border-color:  blue; }
#card8.correct { border-color:  indigo; }
#card9.correct { border-color:  purple; }
#card10.correct { border-color:  violet; }


/* "You did it!" message */
#successMessage {
  position: absolute;
  left: 280px;
  top: -20px;
  width: 0;
  height: 0;
  z-index: 100;
  background: #dfd;
  border: 2px solid #333;
  -moz-border-radius: 10px;
  -webkit-border-radius: 10px;
  border-radius: 10px;
  -moz-box-shadow: .3em .3em .5em rgba(0, 0, 0, .8);
  -webkit-box-shadow: .3em .3em .5em rgba(0, 0, 0, .8);
  box-shadow: .3em .3em .5em rgba(0, 0, 0, .8);
  padding: 20px;
}

span.answer {
    float: left;
    display: block;
    width: 15px;
    height: 15px;
    background-repeat: no-repeat;
}
span.correct {
    background-image: url('assets/check.png');
}
span.wrong {
    background-image: url('assets/delete.gif');
}

span.space {
    display: block;
    width: 8px;
    height: 8px;
}

/* GLOBAL */
.text-left{ text-align: left; }
.left{float:left}
.right{float:right}
.clear{clear:both}
.relative{position:relative}
